Skip to content

# Interface: PageRegistration

Common.Types.PageRegistration

## Table of contents

### Properties

- components
- id
- params

## Properties

### components

• components: PageComponents

### id

• `Optional` id: `string`

Page ID, part of extension's page url, must be unique within same extension When not provided, first registered page without "id" would be used for page-menus without target.pageId for same extension

### params

• `Optional` params: PageParams<string | Omit<PageParamInit<any>, `"name"` | `"prefix"`>>